﻿@model eCommerce.Services.Model.Order
@using eCommerce.Services.Model

@{ 

    var stockDraftActive = TempData["StockDraft"] != null;
    var draftStock = (Dictionary<int, int>)(TempData["StockDraft"] ?? new Dictionary<int, int>());

}

<div class="panel-heading">
    <h3 class="panel-title">Entrega de Mercadería</h3>
</div>
<div class="panel-body">
    <div class="page-invoice-table table-responsive">
        <table class="table table-hover text-right">
            <thead>
                <tr>
                    <th width="60%" colspan="3"></th>
                    <th width="5%" class="text-center"><button id="selectAllBtn" class="btn btn-primary" onclick="SelectAll()">Seleccionar Todos</button></th>
                    <th width="35%" colspan="2"></th>
                </tr>
                <tr>
                    <th width="40%" class="text-left">Producto</th>
                    <th width="10%" class="text-left">Talle</th>
                    <th width="10%" class="text-left">Color</th>
                    <th width="5%" class="text-center">Entregar</th>
                    <th width="20%" class="text-left">Depósito</th>
                    <th width="20%" class="text-left">Cantidad</th>
                </tr>
            </thead>
            <tbody>

                @foreach (OrderDetail orderDetail in Model.OrderDetails.Where(x => x.HasPendingDeliveries))
                {
                    var checkBoxName = "chk_" + orderDetail.OrderDetailId;
                    var loadDraft = stockDraftActive && draftStock[@orderDetail.OrderDetailId] != 0;

                    <tr>
                        <td class="text-left">
                            @orderDetail.CompleteName
                            <input type="hidden" name="orderDetailIdHidden" value="@orderDetail.OrderDetailId" />
                            <input type="hidden" id="pending-@orderDetail.OrderDetailId" value="@orderDetail.PendingDeliveries.ToString()" />
                        </td>
                        <td class="text-left">@orderDetail.Size.Description</td>
                        <td class="text-left">@orderDetail.Color.Description</td>
                        <td class="text-center">
                            <input type="checkbox" class="enabledCheck" id="@checkBoxName"  @(loadDraft ? "checked": "") />
                            <input type="hidden" name="enabledStock" id="@("hidden_" + checkBoxName)" value="@(loadDraft ? "true" : "false")" />
                        </td>
                        <td>
                            <select name="depositId" id="deposit-@checkBoxName" class="form-control" disabled="true">
                            </select>

                            <input type="hidden" id="productId-@checkBoxName" value="@orderDetail.ProductId" />
                            <input type="hidden" id="sizeId-@checkBoxName" value="@orderDetail.SizeId" />
                            <input type="hidden" id="colorId-@checkBoxName" value="@orderDetail.ColorId" />
                        </td>
                        <td>
                            <input type="number" class="form-control" name="stock" min="0"
                                    placeholder="@("Pendiente " + orderDetail.PendingDeliveries.ToString())"
                                    id="@("input_" + checkBoxName)"
                                    value="@(loadDraft ? draftStock[@orderDetail.OrderDetailId].ToString() : string.Empty)"
                                    @(loadDraft ? "" : "disabled") />
                        </td>
                    </tr>
                }

            </tbody>
        </table>
    </div>
</div>


